#include <iocslib.h>
#include <doslibm.h>

int curmode(int mode)
{
unsigned char c;
	c=B_BPEEK((unsigned char *)0x000992);	// IOCS work : カーソル表示スイッチ(<>0で表示)
	switch (mode) {
		case 0: // off
			//B_CUROFF();
			//C_CUROFF();
			OS_CUROF();
			break;
		default: // on
			//B_CURON();
			//C_CURON();
			OS_CURON();
		case -1:
			break;
	}
	return((int)c);
}

#if 0
main()
{
int cur,c;
	cur=curmode(0);
	while (c=getch(),c!=0x1b) {
		printf("%c",c);
	}
	curmode(cur);
	printf("cur=%d\n",cur);
}
#endif
